#ifndef CHARIO
#define CHARIO

#include <stdio.h>
#include <ctype.h>

/* Maximal number of characters the can be pushed back */
#define MAX_BUFFERED_CHARS 1024

/* As getchar(), but with unget cabability (provided by PushChar() */
int GetChar(void);

/* Return the next character, but do _not_ read it */
int LookChar(void);

/* Push back a character into the read queue. Return c or EOF if the
   queue is full. */
int PushChar(int c);

/* Skip over white space characters. Return the first non-white
   character (but it is not removed from the queue), or EOF if the
   pushback queue is full. */
int SkipSpace(void);

#endif
