#include "bintree.h"
#include "integerio.h"

int main(void)
{
   int value;
   BinTree_p root = NULL;

   SkipSpace();
   while(int_available(10))
   {
      value = read_int_base(10);
      BinTreeInsert(&root, value);
      SkipSpace();   
   }

   printf("Natural:   ");
   BinTreePrintNatural(root);
   printf("\n");
   printf("Preorder:  ");
   BinTreePrintPreorder(root);
   printf("\n");
   printf("Postorder: ");
   BinTreePrintPostorder(root);
   printf("\n");

   BinTreeFree(root);
   return EXIT_SUCCESS;
}
